Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.bridge.builtins.swrlxml
Class XMLMapper

    java.lang.Object
      edu.stanford.smi.protegex.owl.swrl.bridge.builtins.swrlxml.XMLMapper

    public class XMLMapper

extends Object

Field Summary
`static String` | `XMLAttributeMappingHasValuePropertyName`
`static String` | `XMLAttributeMappingOWLClassName`
`static String` | `XMLDocumentMappingHasElementsPropertyName`
`static String` | `XMLDocumentMappingHasRootElementPropertyName`
`static String` | `XMLDocumentMappingOWLClassName`
`static String` | `XMLElementMappingHasAttributesPropertyName`
`static String` | `XMLElementMappingHasContentPropertyName`
`static String` | `XMLElementMappingHasMappedIndividualsPropertyName`
`static String` | `XMLElementMappingHasSubElementsPropertyName`
`static String` | `XMLElementMappingOWLClassName`
`static String` | `XMLMappingAlias`
`static String` | `XMLMappingHasNamePropertyName`
`static String` | `XMLMappingHasNamespacePrefixPropertyName`
`static String` | `XMLMappingHasNamespaceURIPropertyName`

Constructor Summary
`XMLMapper()`

Method Summary
`OWLIndividual` | `document2XMLDocumentMapping(org.jdom.Document doc, SWRLRuleEngineBridge bridge)`
`org.jdom.Document` | `xmlDocumentMapping2Document(SWRLRuleEngineBridge bridge)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XMLMappingAlias

    public static final String XMLMappingAlias

See Also:
  Constant Field Values

### XMLDocumentMappingOWLClassName

    public static final String XMLDocumentMappingOWLClassName

See Also:
  Constant Field Values

### XMLDocumentMappingHasRootElementPropertyName

    public static final String XMLDocumentMappingHasRootElementPropertyName

See Also:
  Constant Field Values

### XMLDocumentMappingHasElementsPropertyName

    public static final String XMLDocumentMappingHasElementsPropertyName

See Also:
  Constant Field Values

### XMLElementMappingOWLClassName

    public static final String XMLElementMappingOWLClassName

See Also:
  Constant Field Values

### XMLMappingHasNamePropertyName

    public static final String XMLMappingHasNamePropertyName

See Also:
  Constant Field Values

### XMLMappingHasNamespacePrefixPropertyName

    public static final String XMLMappingHasNamespacePrefixPropertyName

See Also:
  Constant Field Values

### XMLMappingHasNamespaceURIPropertyName

    public static final String XMLMappingHasNamespaceURIPropertyName

See Also:
  Constant Field Values

### XMLElementMappingHasMappedIndividualsPropertyName

    public static final String XMLElementMappingHasMappedIndividualsPropertyName

See Also:
  Constant Field Values

### XMLElementMappingHasSubElementsPropertyName

    public static final String XMLElementMappingHasSubElementsPropertyName

See Also:
  Constant Field Values

### XMLElementMappingHasAttributesPropertyName

    public static final String XMLElementMappingHasAttributesPropertyName

See Also:
  Constant Field Values

### XMLElementMappingHasContentPropertyName

    public static final String XMLElementMappingHasContentPropertyName

See Also:
  Constant Field Values

### XMLAttributeMappingOWLClassName

    public static final String XMLAttributeMappingOWLClassName

See Also:
  Constant Field Values

### XMLAttributeMappingHasValuePropertyName

    public static final String XMLAttributeMappingHasValuePropertyName

See Also:
  Constant Field Values

Constructor Detail

### XMLMapper

    public XMLMapper()

Method Detail

### xmlDocumentMapping2Document

    public org.jdom.Document xmlDocumentMapping2Document(SWRLRuleEngineBridge bridge)
                                                  throws XMLMapperException

  Throws:
    `XMLMapperException`

### document2XMLDocumentMapping

    public OWLIndividual document2XMLDocumentMapping(org.jdom.Document doc,
                                                     SWRLRuleEngineBridge bridge)
                                              throws XMLMapperException

  Throws:
    `XMLMapperException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.